Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.util
Class QuerySwitch

    java.lang.Object
      org.eclipse.ohf.ihe.common.ebxml._2._1.query.util.QuerySwitch

    public class QuerySwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `QueryPackage`

Constructor Summary
`QuerySwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseAdhocQueryRequestType(AdhocQueryRequestType object)` Returns the result of interpretting the object as an instance of 'Adhoc Query Request Type'.
`java.lang.Object` | `caseAdhocQueryResponseType(AdhocQueryResponseType object)` Returns the result of interpretting the object as an instance of 'Adhoc Query Response Type'.
`java.lang.Object` | `caseAssociationBranchType(AssociationBranchType object)` Returns the result of interpretting the object as an instance of 'Association Branch Type'.
`java.lang.Object` | `caseAssociationQueryResultType(AssociationQueryResultType object)` Returns the result of interpretting the object as an instance of 'Association Query Result Type'.
`java.lang.Object` | `caseAssociationQueryType(AssociationQueryType object)` Returns the result of interpretting the object as an instance of 'Association Query Type'.
`java.lang.Object` | `caseAuditableEventQueryResultType(AuditableEventQueryResultType object)` Returns the result of interpretting the object as an instance of 'Auditable Event Query Result Type'.
`java.lang.Object` | `caseAuditableEventQueryType(AuditableEventQueryType object)` Returns the result of interpretting the object as an instance of 'Auditable Event Query Type'.
`java.lang.Object` | `caseBooleanClauseType(BooleanClauseType object)` Returns the result of interpretting the object as an instance of 'Boolean Clause Type'.
`java.lang.Object` | `caseClassificationNodeQueryResultType(ClassificationNodeQueryResultType object)` Returns the result of interpretting the object as an instance of 'Classification Node Query Result Type'.
`java.lang.Object` | `caseClassificationNodeQueryType(ClassificationNodeQueryType object)` Returns the result of interpretting the object as an instance of 'Classification Node Query Type'.
`java.lang.Object` | `caseClassificationQueryResultType(ClassificationQueryResultType object)` Returns the result of interpretting the object as an instance of 'Classification Query Result Type'.
`java.lang.Object` | `caseClassificationQueryType(ClassificationQueryType object)` Returns the result of interpretting the object as an instance of 'Classification Query Type'.
`java.lang.Object` | `caseClassificationSchemeQueryResultType(ClassificationSchemeQueryResultType object)` Returns the result of interpretting the object as an instance of 'Classification Scheme Query Result Type'.
`java.lang.Object` | `caseClassificationSchemeQueryType(ClassificationSchemeQueryType object)` Returns the result of interpretting the object as an instance of 'Classification Scheme Query Type'.
`java.lang.Object` | `caseClassifiedByBranchType(ClassifiedByBranchType object)` Returns the result of interpretting the object as an instance of 'Classified By Branch Type'.
`java.lang.Object` | `caseClauseType(ClauseType object)` Returns the result of interpretting the object as an instance of 'Clause Type'.
`java.lang.Object` | `caseCompoundClauseType(CompoundClauseType object)` Returns the result of interpretting the object as an instance of 'Compound Clause Type'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseExtrinsicObjectQueryResultType(ExtrinsicObjectQueryResultType object)` Returns the result of interpretting the object as an instance of 'Extrinsic Object Query Result Type'.
`java.lang.Object` | `caseExtrinsicObjectQueryType(ExtrinsicObjectQueryType object)` Returns the result of interpretting the object as an instance of 'Extrinsic Object Query Type'.
`java.lang.Object` | `caseFilterQueryResultType(FilterQueryResultType object)` Returns the result of interpretting the object as an instance of 'Filter Query Result Type'.
`java.lang.Object` | `caseFilterQueryType(FilterQueryType object)` Returns the result of interpretting the object as an instance of 'Filter Query Type'.
`java.lang.Object` | `caseFilterType(FilterType object)` Returns the result of interpretting the object as an instance of 'Filter Type'.
`java.lang.Object` | `caseGetContentRequestType(GetContentRequestType object)` Returns the result of interpretting the object as an instance of 'Get Content Request Type'.
`java.lang.Object` | `caseGetContentResponseType(GetContentResponseType object)` Returns the result of interpretting the object as an instance of 'Get Content Response Type'.
`java.lang.Object` | `caseInternationalStringBranchType(InternationalStringBranchType object)` Returns the result of interpretting the object as an instance of 'International String Branch Type'.
`java.lang.Object` | `caseOrganizationQueryResultType(OrganizationQueryResultType object)` Returns the result of interpretting the object as an instance of 'Organization Query Result Type'.
`java.lang.Object` | `caseOrganizationQueryType(OrganizationQueryType object)` Returns the result of interpretting the object as an instance of 'Organization Query Type'.
`java.lang.Object` | `caseRationalClauseType(RationalClauseType object)` Returns the result of interpretting the object as an instance of 'Rational Clause Type'.
`java.lang.Object` | `caseRegistryEntryQueryResultType(RegistryEntryQueryResultType object)` Returns the result of interpretting the object as an instance of 'Registry Entry Query Result Type'.
`java.lang.Object` | `caseRegistryEntryQueryType(RegistryEntryQueryType object)` Returns the result of interpretting the object as an instance of 'Registry Entry Query Type'.
`java.lang.Object` | `caseRegistryObjectQueryType(RegistryObjectQueryType object)` Returns the result of interpretting the object as an instance of 'Registry Object Query Type'.
`java.lang.Object` | `caseRegistryPackageQueryResultType(RegistryPackageQueryResultType object)` Returns the result of interpretting the object as an instance of 'Registry Package Query Result Type'.
`java.lang.Object` | `caseRegistryPackageQueryType(RegistryPackageQueryType object)` Returns the result of interpretting the object as an instance of 'Registry Package Query Type'.
`java.lang.Object` | `caseResponseOptionType(ResponseOptionType object)` Returns the result of interpretting the object as an instance of 'Response Option Type'.
`java.lang.Object` | `caseServiceBindingBranchType(ServiceBindingBranchType object)` Returns the result of interpretting the object as an instance of 'Service Binding Branch Type'.
`java.lang.Object` | `caseServiceQueryResultType(ServiceQueryResultType object)` Returns the result of interpretting the object as an instance of 'Service Query Result Type'.
`java.lang.Object` | `caseServiceQueryType(ServiceQueryType object)` Returns the result of interpretting the object as an instance of 'Service Query Type'.
`java.lang.Object` | `caseSimpleClauseType(SimpleClauseType object)` Returns the result of interpretting the object as an instance of 'Simple Clause Type'.
`java.lang.Object` | `caseSlotBranchType(SlotBranchType object)` Returns the result of interpretting the object as an instance of 'Slot Branch Type'.
`java.lang.Object` | `caseSpecificationLinkBranchType(SpecificationLinkBranchType object)` Returns the result of interpretting the object as an instance of 'Specification Link Branch Type'.
`java.lang.Object` | `caseStringClauseType(StringClauseType object)` Returns the result of interpretting the object as an instance of 'String Clause Type'.
`java.lang.Object` | `caseUserBranchType(UserBranchType object)` Returns the result of interpretting the object as an instance of 'User Branch Type'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuerySwitch

    public QuerySwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAdhocQueryRequestType

    public java.lang.Object caseAdhocQueryRequestType(AdhocQueryRequestType object)

  Returns the result of interpretting the object as an instance of 'Adhoc Query Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adhoc Query Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseAdhocQueryResponseType

    public java.lang.Object caseAdhocQueryResponseType(AdhocQueryResponseType object)

  Returns the result of interpretting the object as an instance of 'Adhoc Query Response Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adhoc Query Response Type'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationBranchType

    public java.lang.Object caseAssociationBranchType(AssociationBranchType object)

  Returns the result of interpretting the object as an instance of 'Association Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationQueryResultType

    public java.lang.Object caseAssociationQueryResultType(AssociationQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Association Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationQueryType

    public java.lang.Object caseAssociationQueryType(AssociationQueryType object)

  Returns the result of interpretting the object as an instance of 'Association Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseAuditableEventQueryResultType

    public java.lang.Object caseAuditableEventQueryResultType(AuditableEventQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Auditable Event Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Auditable Event Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseAuditableEventQueryType

    public java.lang.Object caseAuditableEventQueryType(AuditableEventQueryType object)

  Returns the result of interpretting the object as an instance of 'Auditable Event Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Auditable Event Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseBooleanClauseType

    public java.lang.Object caseBooleanClauseType(BooleanClauseType object)

  Returns the result of interpretting the object as an instance of 'Boolean Clause Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Boolean Clause Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationNodeQueryResultType

    public java.lang.Object caseClassificationNodeQueryResultType(ClassificationNodeQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Classification Node Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Node Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationNodeQueryType

    public java.lang.Object caseClassificationNodeQueryType(ClassificationNodeQueryType object)

  Returns the result of interpretting the object as an instance of 'Classification Node Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Node Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationQueryResultType

    public java.lang.Object caseClassificationQueryResultType(ClassificationQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Classification Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationQueryType

    public java.lang.Object caseClassificationQueryType(ClassificationQueryType object)

  Returns the result of interpretting the object as an instance of 'Classification Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationSchemeQueryResultType

    public java.lang.Object caseClassificationSchemeQueryResultType(ClassificationSchemeQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Classification Scheme Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Scheme Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationSchemeQueryType

    public java.lang.Object caseClassificationSchemeQueryType(ClassificationSchemeQueryType object)

  Returns the result of interpretting the object as an instance of 'Classification Scheme Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Scheme Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassifiedByBranchType

    public java.lang.Object caseClassifiedByBranchType(ClassifiedByBranchType object)

  Returns the result of interpretting the object as an instance of 'Classified By Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classified By Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseClauseType

    public java.lang.Object caseClauseType(ClauseType object)

  Returns the result of interpretting the object as an instance of 'Clause Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Clause Type'.
  See Also:
    `doSwitch(EObject)`

### caseCompoundClauseType

    public java.lang.Object caseCompoundClauseType(CompoundClauseType object)

  Returns the result of interpretting the object as an instance of 'Compound Clause Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compound Clause Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseExtrinsicObjectQueryResultType

    public java.lang.Object caseExtrinsicObjectQueryResultType(ExtrinsicObjectQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Extrinsic Object Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Extrinsic Object Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseExtrinsicObjectQueryType

    public java.lang.Object caseExtrinsicObjectQueryType(ExtrinsicObjectQueryType object)

  Returns the result of interpretting the object as an instance of 'Extrinsic Object Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Extrinsic Object Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseFilterQueryResultType

    public java.lang.Object caseFilterQueryResultType(FilterQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Filter Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Filter Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseFilterQueryType

    public java.lang.Object caseFilterQueryType(FilterQueryType object)

  Returns the result of interpretting the object as an instance of 'Filter Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Filter Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseFilterType

    public java.lang.Object caseFilterType(FilterType object)

  Returns the result of interpretting the object as an instance of 'Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseGetContentRequestType

    public java.lang.Object caseGetContentRequestType(GetContentRequestType object)

  Returns the result of interpretting the object as an instance of 'Get Content Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Get Content Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseGetContentResponseType

    public java.lang.Object caseGetContentResponseType(GetContentResponseType object)

  Returns the result of interpretting the object as an instance of 'Get Content Response Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Get Content Response Type'.
  See Also:
    `doSwitch(EObject)`

### caseInternationalStringBranchType

    public java.lang.Object caseInternationalStringBranchType(InternationalStringBranchType object)

  Returns the result of interpretting the object as an instance of 'International String Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'International String Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrganizationQueryResultType

    public java.lang.Object caseOrganizationQueryResultType(OrganizationQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Organization Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Organization Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrganizationQueryType

    public java.lang.Object caseOrganizationQueryType(OrganizationQueryType object)

  Returns the result of interpretting the object as an instance of 'Organization Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Organization Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseRationalClauseType

    public java.lang.Object caseRationalClauseType(RationalClauseType object)

  Returns the result of interpretting the object as an instance of 'Rational Clause Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rational Clause Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryEntryQueryResultType

    public java.lang.Object caseRegistryEntryQueryResultType(RegistryEntryQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Registry Entry Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Entry Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryEntryQueryType

    public java.lang.Object caseRegistryEntryQueryType(RegistryEntryQueryType object)

  Returns the result of interpretting the object as an instance of 'Registry Entry Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Entry Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryObjectQueryType

    public java.lang.Object caseRegistryObjectQueryType(RegistryObjectQueryType object)

  Returns the result of interpretting the object as an instance of 'Registry Object Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Object Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryPackageQueryResultType

    public java.lang.Object caseRegistryPackageQueryResultType(RegistryPackageQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Registry Package Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Package Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryPackageQueryType

    public java.lang.Object caseRegistryPackageQueryType(RegistryPackageQueryType object)

  Returns the result of interpretting the object as an instance of 'Registry Package Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Package Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseResponseOptionType

    public java.lang.Object caseResponseOptionType(ResponseOptionType object)

  Returns the result of interpretting the object as an instance of 'Response Option Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Response Option Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceBindingBranchType

    public java.lang.Object caseServiceBindingBranchType(ServiceBindingBranchType object)

  Returns the result of interpretting the object as an instance of 'Service Binding Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Binding Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceQueryResultType

    public java.lang.Object caseServiceQueryResultType(ServiceQueryResultType object)

  Returns the result of interpretting the object as an instance of 'Service Query Result Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Query Result Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceQueryType

    public java.lang.Object caseServiceQueryType(ServiceQueryType object)

  Returns the result of interpretting the object as an instance of 'Service Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseSimpleClauseType

    public java.lang.Object caseSimpleClauseType(SimpleClauseType object)

  Returns the result of interpretting the object as an instance of 'Simple Clause Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Simple Clause Type'.
  See Also:
    `doSwitch(EObject)`

### caseSlotBranchType

    public java.lang.Object caseSlotBranchType(SlotBranchType object)

  Returns the result of interpretting the object as an instance of 'Slot Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Slot Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseSpecificationLinkBranchType

    public java.lang.Object caseSpecificationLinkBranchType(SpecificationLinkBranchType object)

  Returns the result of interpretting the object as an instance of 'Specification Link Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Specification Link Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseStringClauseType

    public java.lang.Object caseStringClauseType(StringClauseType object)

  Returns the result of interpretting the object as an instance of 'String Clause Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'String Clause Type'.
  See Also:
    `doSwitch(EObject)`

### caseUserBranchType

    public java.lang.Object caseUserBranchType(UserBranchType object)

  Returns the result of interpretting the object as an instance of 'User Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Branch Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD